Package org.gradle.language.swift.plugins

# Class SwiftBasePlugin

java.lang.Object
org.gradle.language.swift.plugins.SwiftBasePlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class SwiftBasePlugin extends Object implements Plugin<Project>
A common base plugin for the Swift application and library plugins

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwiftBasePlugin(org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry publicationRegistry, org.gradle.nativeplatform.toolchain.internal.xcode.MacOSSdkPathLocator locator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwiftBasePlugin

    @Inject public SwiftBasePlugin(org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry publicationRegistry, org.gradle.nativeplatform.toolchain.internal.xcode.MacOSSdkPathLocator locator)

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object